org.gnome.gtk

## Class WindowType

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.WindowType

-     public final class WindowType
      extends org.freedesktop.bindings.Constant

  The type of Window. When constructing `Window`s you need to specify what kind of Window it is to be. Since TOPLEVEL is almost always what you want the default constructor of Window chooses this automatically.
  Since:
    4.0.0
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WindowType` | `POPUP` Windows with type POPUP are ignored by the window manager; window manager keybindings won't work on them, the window manager won't decorate the window with a frame (ie borders), and many GTK features that rely on the window manager will not work (for example resize grips and maximize/minimize).
    `static WindowType` | `TOPLEVEL` Most things you'd consider a "window" should have type TOPLEVEL; windows with this type are managed by the window manager and have a frame by default.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### POPUP

          public static final WindowType POPUP

      Windows with type POPUP are ignored by the window manager; window manager keybindings won't work on them, the window manager won't decorate the window with a frame (ie borders), and many GTK features that rely on the window manager will not work (for example resize grips and maximize/minimize). WindowType POPUP is used to implement widgets such as menus and tooltips - things that you wouldn't think of as Windows and don't program as such. In particular, do not use this to turn off Window borders! That's what `setDecorated(false)` is for.

    - #### TOPLEVEL

          public static final WindowType TOPLEVEL

      Most things you'd consider a "window" should have type TOPLEVEL; windows with this type are managed by the window manager and have a frame by default. [The frame is what you might think of the "border", although border is actually a characteristic of Widget. You can call `setDecorated(false)` to turn the window manager's frame off]